Bug 437375 - Beamer package is old and buggy
Beamer package is old and buggy
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
18
All Linux
low Severity low
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
: Reopened
Depends On: 488651
Blocks: 457836
  Show dependency treegraph
 
Reported: 2008-03-13 14:51 EDT by Matthew Saltzman
Modified: 2013-07-02 19:27 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-06 09:01:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Saltzman 2008-03-13 14:51:48 EDT
Description of problem:
The version of the Beamer LaTeX package included with texlive is old and buggy.

Version-Release number of selected component (if applicable):
texlive-texmf-2007-17.fc9.noarch

How reproducible:
Always

Steps to Reproduce:
1. Print /usr/share/texmf/doc/latex/beamer/ChangeLog
2.
3.
  
Actual results:
Shows Beamer version 3.06 dated 2005-06-16

Expected results:
Shows:

2007-03-11 Till Tantau <tantau@users.sourceforge.net>

        CVS:
        - LyX layout removed since it is now part of the LyX
          development tree.
        - Cleaned up documentation.
        - Cleaned up license chaos and removed all possibly
          copyrighted material. 
        - Fixed incorrect subsubsections in vertical navigation bars. 
        - Fixed problem with overlay specifications in amsmath
          environments.
        - Fixed superfluous \show in beamerthemeshadow.sty
        - Fixed color problem in beamer boxes with rounded corners.
        - Fixed problem with frametitle syntax in fragile frames.
        - Fixed missing frame subtitles in article mode.
        - Added french solution translations (due to Philippe De Sousa).


Additional info:

Latest available from CTAN.  Also fixes several other bugs, including improper
hiding of list items after the first.
Comment 1 Bug Zapper 2008-05-14 02:02:18 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Tim Niemueller 2008-08-20 13:09:05 EDT
Is there any info if and when the new version will be integrated? Will there be
an update for F-9?
Comment 3 Bug Zapper 2009-06-09 19:45:39 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Sven Lankes 2010-07-10 21:13:13 EDT
Not quite Fedora 9 or event 12 material but F14 will (hopefully) ship with texlive 2010 - see http://fedoraproject.org/wiki/Features/TeXLive 

It does include an update beamer class.
Comment 5 Bug Zapper 2010-11-04 08:00:04 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Matthew Saltzman 2010-11-11 23:08:55 EST
I'm using Jinrich's TeXLive-2010 packages, so I don't know if there's still a problem in F13 or F14.  It's not an issue with TeXLive-2010.
Comment 7 Nicola Soranzo 2010-11-12 04:38:10 EST
(In reply to comment #6)
> I'm using Jinrich's TeXLive-2010 packages, so I don't know if there's still a
> problem in F13 or F14.  It's not an issue with TeXLive-2010.

I already updated the Version field of this bug to F14 because on plain installation Beamer is still at 2005 version.
Comment 8 Tim Niemueller 2011-10-11 18:30:07 EDT
Any chance we're going to see updated TeXLive packages in Fedora?
Comment 9 Matthew Saltzman 2011-10-11 18:45:05 EDT
(In reply to comment #8)
> Any chance we're going to see updated TeXLive packages in Fedora?

Well, yes, someday, eventually.  Meanwhile, see http://fedoraproject.org/wiki/Features/TeXLive.

I think the primary hangup at this point is legal, regarding licenses of various component pieces.
Comment 10 Tim Niemueller 2011-10-12 04:53:53 EDT
That looks excellent. How is the legal situation going to be resolved, are you simply sorting out packages based on the meta data? Is there an ETA for the inclusion to happen, e.g. F-16 or F-17?

It's quite a bunch of new packages being added. Has it been considered grouping them simply in "base" and "extras" for simplicity? Are all packages reviewed individually (nightmare...) or will there be a single texlive package which has 1600 sub-packages?
Comment 11 Matthew Saltzman 2011-10-12 08:59:51 EDT
I believe all packages must ultimately be reviewed, however the packaging is organized.

I'm not involved (other than as a user).  If you want to track progress or help out, join the mailing list (http://www.linux.cz/mailman/listinfo/texlive) or the Wiki (http://fedoraproject.org/wiki/Talk:Features/TeXLive).
Comment 12 Fedora End Of Life 2012-08-16 14:30:59 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Nicola Soranzo 2012-08-20 08:47:28 EDT
Beamer still at version 3.06 in Fedora 18, reopening.
Comment 14 Jindrich Novy 2012-10-07 11:40:17 EDT
There is beamer-3.22.svn27751 in TeX Live 2012 which is in rawhide. Let's see what I can do to introduce TL2012 to F18 as well.
Comment 15 Tim Niemueller 2012-10-07 13:34:26 EDT
Works like a charme for me on F-17 from your repo. It's just annoying that it takes one or two weeks to really get everything installed you need for the various papers, posters, docs, etc., because you don't notice until you try to compile your document. I'm close to write a helper script that scrapes my tex-files and suggests a yum install to actually get things installed. Maybe that could be hooked to LuaTeX, wonder if that works then with auctex though...
Comment 16 Jindrich Novy 2012-10-07 13:41:43 EDT
Tim, maybe the best way is to just use the texlive-collection-* or texlive-scheme-* packages. If unsure, just yum install texlive-scheme-full should just satisfy all the needed requirements.

The tl2rpm depsolver already contains a heuristics to figure out dependencies in .tex, .sty, .cls, etc. files so an utility like this wouldn't be too hard to extract it from there.
Comment 17 Tim Niemueller 2012-10-07 14:05:08 EDT
texlive-theme-full sounds interesting. I wasn't aware of schemes, only collections. What's the difference? It might be nice to have a texlive-all package (maybe this is what texlive-scheme-full does, but it's a little more obvious as there are already examples with -all subpackages).
Comment 18 Jindrich Novy 2012-12-06 09:01:00 EST
The main difference between scheme and a collection is that scheme can actually contain dependencies to a set of collections. Basically there are three levels of hierarchies in texlive packages schemes->collections->packages.

Since we have quite recent beamer in F18 already, closing this bug.

Note You need to log in before you can comment on or make changes to this bug.